/* discover.h
 * Copyright (C) 2001 The University of Newcastle upon Tyne
 *
 * Written by Paul Coates (Paul.Coates@ncl.ac.uk)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#ifndef DISCOVER_H
#define DISCOVER_H 1

#include "ipaddress.h"
#include "filter.h"
#include "list.h"

class Main;
class FilterModule;
class Discover
{
	public:
		Discover(Main *m);
		~Discover();

		void show();
		void hide();
		void setpage(int step);
		void update_discover();
		void get_gateway();
		void update_task_list();
		void discover_message(char *str);

		Main *main;
		FilterModule *filtermodule;
		int page;
		IPAddress gateway;

		// discovery parameters
		char use_ip_filter;
		Filter ip_filter;
		char rediscover;
		char use_hops;
		int num_hops;
		int discover_level;
		IPAddress start_address;

		GtkWidget *window;
		GtkWidget *button103;
		GtkWidget *button100;
		GtkWidget *button99;
		GtkWidget *notebook6;
		GtkWidget *entry43;
		GtkWidget *radiobutton21;
		GtkWidget *label200;
		GtkWidget *clist32;
		GtkWidget *clist33;
		GtkWidget *label198;
		GtkObject *spinbutton8_adj;
		GtkWidget *spinbutton8;
		GtkWidget *checkbutton18;
};

#endif

