/* parser.h
 * Copyright (C) 2001 The University of Newcastle upon Tyne
 *
 * Written by Paul Coates (Paul.Coates@ncl.ac.uk)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#ifndef PARSER_H
#define PARSER_H 1

#include "ipaddress.h"
#include "list.h"

#define BUFSIZE 256

class Main;
class Subnet;
class Device;
class Network;
class Parser
{
	public:
		Parser(Main *m);
		~Parser();

		void create_placeholder(char *ipstr);
		void getDescr(Device *d, char *str, int val);
		void parse(char *fname, int hop);
		void add_to_interface(char *var, char *val);
		void add_to_interface_extended(char *var, char *val);
		void add_to_ips(char *var, char *val);
		void add_to_route(char *var, char *val);
		void add_to_address(char *var, char *val);
		void add_to_bridge_map(char *var, char *val);
		void add_to_bridge(char *var, char *val);

		void build_subnets(int hop);
		void add_subnet(Subnet *s);
		void add_layer3(Network *n, IPAddress ip, int hop);
		void merge_networks(Network *n1, Network *n2);

		Main *main;
		List subnets;
		List ports;
		Device *tmpdev;
};

// extra classes to parse snmp

class Port
{
	public:
		int port;
		int index;
};

class SubnetExtra
{
	public:
		int mask;
		IPAddress ip;
		IPAddress next;
		int index;
		int type;
};

#endif

