/* graph.h
 * Copyright (C) 2001 The University of Newcastle upon Tyne
 *
 * Written by Paul Coates (Paul.Coates@ncl.ac.uk)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#ifndef GRAPH_H
#define GRAPH_H 1

#include "list.h"
#include "timestamp.h"
#include "graphio.h"

class Iface
{
	public:
		int index;								// 4 bytes
		char status;
		unsigned long values[MAX_VALUES];
};

class Dvice
{
	public:
		void clear();

		TimeStamp grabtime;
		List interfaces;
};

class Graph
{
	public:
		Graph();
		~Graph();

		void main(char *datadir, char *device);
		int  load(Dvice *dv, char *fname);
		void add_to_interface(char *var, char *val, Dvice *dv, int pos);
		void print();
		void save(char *fname, char *device);

		char name[256];
		GraphIO gio;
		Dvice d1, d2;
};

#endif

