/* dataset.h
 * Copyright (C) 2001 The University of Newcastle upon Tyne
 *
 * Written by Paul Coates (Paul.Coates@ncl.ac.uk)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#ifndef DATASET_H
#define DATASET_H 1

#include "timestamp.h"

class DataLine
{
	public:
		DataLine();
		~DataLine();

		char name[64];
		unsigned long *values;
};

class DataSet
{
	public:
		DataSet();
		~DataSet();

		DataLine *variables;
		TimeStamp *timestamps;
		char *status;
		int num_variables;
		int num_entries;
};

#endif

