#include <stdlib.h>
#include <string.h>
#include "machine.h"
#include "network.h"

Machine::Machine()
{
	empty();
}

Machine::~Machine()
{
}

void Machine::empty()
{
	x = rand()%4000;
	y = rand()%3000;
	w = h = 96;
	selected = '0';
	show = '0';
	type = 'm';
	fix = '0';
	visited = '0';
	find = '0';

	strcpy(name, "");
	ip.empty();
	last_seen.empty();
	strcpy(location, "");
	strcpy(descr, "");
	strcpy(contact, "");
	mac.empty();
	registered = '0';
	network = NULL;
	find = '0';
}

void Machine::savexml(xmlNodePtr xmlnode)
{
	xmlNodePtr newxml;
	char buf[4];

	newxml = xmlNewChild(xmlnode, NULL, (xmlChar*)"Machine", NULL);
	if (strcmp(name, "")!=0)
		xmlSetProp(newxml, (xmlChar*)"name", (xmlChar*)name);
	if (!ip.zero())
		xmlSetProp(newxml, (xmlChar*)"ip", (xmlChar*)ip.getstring());
	if (!last_seen.zero())
		xmlSetProp(newxml, (xmlChar*)"lastseen", (xmlChar*)last_seen.getstring());
	if (strcmp(location, "")!=0)
		xmlSetProp(newxml, (xmlChar*)"location", (xmlChar*)location);
	if (strcmp(descr, "")!=0)
		xmlSetProp(newxml, (xmlChar*)"description", (xmlChar*)descr);
	if (strcmp(contact, "")!=0)
		xmlSetProp(newxml, (xmlChar*)"contact", (xmlChar*)contact);
	if (!mac.zero())
		xmlSetProp(newxml, (xmlChar*)"mac", (xmlChar*)mac.getstring());
	sprintf(buf, "%c", registered);
	xmlSetProp(newxml, (xmlChar*)"registered", (xmlChar*)buf);
}

void Machine::loadxml(xmlNodePtr xmlnode)
{
	xmlChar *buf;

	// check this is the correct  node
	if (!xmlnode ||!xmlnode->name || strcmp((char*)xmlnode->name, "Machine")!=0)
		return;
	buf = (xmlChar*)xmlGetProp(xmlnode, (xmlChar*)"name");
	if (buf!=NULL) { strcpy(name, (char*)buf); free(buf); }
	buf = (xmlChar*)xmlGetProp(xmlnode, (xmlChar*)"ip");
	if (buf!=NULL) { ip.setstring((char*)buf); free(buf); }
	buf = (xmlChar*)xmlGetProp(xmlnode, (xmlChar*)"lastseen");
	if (buf!=NULL) { last_seen.setstring((char*)buf); free(buf); }
	buf = (xmlChar*)xmlGetProp(xmlnode, (xmlChar*)"location");
	if (buf!=NULL) { strcpy(location, (char*)buf); free(buf); }
	buf = (xmlChar*)xmlGetProp(xmlnode, (xmlChar*)"description");
	if (buf!=NULL) { strcpy(descr, (char*)buf); free(buf); }
	buf = (xmlChar*)xmlGetProp(xmlnode, (xmlChar*)"contact");
	if (buf!=NULL) { strcpy(contact, (char*)buf); free(buf); }
	buf = (xmlChar*)xmlGetProp(xmlnode, (xmlChar*)"mac");
	if (buf!=NULL) { mac.setstring((char*)buf); free(buf); }
	buf = (xmlChar*)xmlGetProp(xmlnode, (xmlChar*)"registered");
	if (buf!=NULL) { registered = buf[0]; free(buf); }
}

